import { Result } from "../../fd-app-toolbox/models/result";
import { User } from "../../meta/core/resources/users/user.resource";
export declare function getUserRolesForPermission(userId: string): Promise<any>;
/** @monorepo-internal */
export declare function getUserDto(userId: string): Promise<unknown>;
export declare function getUserDtos(): Promise<any>;
export declare function userManagerDeleteUser(userId: string): Promise<any>;
export declare function getRolesAsync(userId: string): Promise<any>;
export declare function addToRole(userId: string, roleName: string): Promise<any>;
export declare function generatePasswordResetToken(userModel: User): string;
export declare function resetPassword(token: string, userModel: User, newPassword: string): Promise<Result>;
export declare function updateUser(updatedUser: User): Promise<{
    isSuccess: boolean;
    userFriendlyMessage: "User updated successfully";
}>;
